Update center contains git release candidate that is not good enough

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Update center contains git release candidate that is not good enough

Mark Waite-2
I am on a much needed family vacation. Before leaving on that vacation, I wanted to deliver the latest pre-release of the git client plugin and the git plugin.  I chose a version string 3.0.0-rc for the git client and 4.0.0-rc for the git plugin.

Unfortunately, that version string caused the release to appear in the update center in addition to the experimental update center.

I'm grateful for the feedback from early adopters, even if some of the sarcasm feels a bit heavy handed.

If it is feasible, I would like to pull git plugin 4.0.0-rc and git client plugin 3.0.0-rc from the update center. Is that feasible?

My sincere apologies to the users suffering due to my choice of version string and my failure to read the experimental update center documentation closely enough.

Mark Waite

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Update center contains git release candidate that is not good enough

Baptiste MATHUS
Hello Mark,

If you have a quick look to approve, to check I didn't forget anything.

Please enjoy your vacation. We all know the hard work you're putting from your personal time into the git plugins. I am deeply sorry about the bad behavior of some entitled users who report their issue in an unacceptable way.

Thanks!

Le jeu. 7 févr. 2019 à 08:35, Mark Waite <[hidden email]> a écrit :
I am on a much needed family vacation. Before leaving on that vacation, I wanted to deliver the latest pre-release of the git client plugin and the git plugin.  I chose a version string 3.0.0-rc for the git client and 4.0.0-rc for the git plugin.

Unfortunately, that version string caused the release to appear in the update center in addition to the experimental update center.

I'm grateful for the feedback from early adopters, even if some of the sarcasm feels a bit heavy handed.

If it is feasible, I would like to pull git plugin 4.0.0-rc and git client plugin 3.0.0-rc from the update center. Is that feasible?

My sincere apologies to the users suffering due to my choice of version string and my failure to read the experimental update center documentation closely enough.

Mark Waite

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CANWgJS7Tj5Er_fnDNteC1fQoOpYRXfhJ7ikFNRsmmpKdSCjhFg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Update center contains git release candidate that is not good enough

Mark Waite-2
Thanks very much!  Change reviewed and approved

On 2/7/19, Baptiste Mathus <[hidden email]> wrote:

> Hello Mark,
>
> I've filed the PR on your behalf:
> https://github.com/jenkins-infra/update-center2/pull/258
> If you have a quick look to approve, to check I didn't forget anything.
>
> Please enjoy your vacation. We all know the hard work you're putting from
> your personal time into the git plugins. I am deeply sorry about the bad
> behavior of some entitled users who report their issue in an unacceptable
> way.
>
> Thanks!
>
> Le jeu. 7 févr. 2019 à 08:35, Mark Waite <[hidden email]> a
> écrit :
>
>> I am on a much needed family vacation. Before leaving on that vacation, I
>> wanted to deliver the latest pre-release of the git client plugin and the
>> git plugin.  I chose a version string 3.0.0-rc for the git client and
>> 4.0.0-rc for the git plugin.
>>
>> Unfortunately, that version string caused the release to appear in the
>> update center in addition to the experimental update center.
>>
>> I'm grateful for the feedback from early adopters, even if some of the
>> sarcasm feels a bit heavy handed.
>>
>> If it is feasible, I would like to pull git plugin 4.0.0-rc and git
>> client
>> plugin 3.0.0-rc from the update center. Is that feasible?
>>
>> My sincere apologies to the users suffering due to my choice of version
>> string and my failure to read the experimental update center
>> documentation
>> closely enough.
>>
>> Mark Waite
>>
>> --
>> You received this message because you are subscribed to the Google Groups
>> "Jenkins Developers" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to [hidden email].
>> To view this discussion on the web visit
>> https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com
>> <https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com?utm_medium=email&utm_source=footer>
>> .
>> For more options, visit https://groups.google.com/d/optout.
>>
>
> --
> You received this message because you are subscribed to the Google Groups
> "Jenkins Developers" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [hidden email].
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/jenkinsci-dev/CANWgJS7Tj5Er_fnDNteC1fQoOpYRXfhJ7ikFNRsmmpKdSCjhFg%40mail.gmail.com.
> For more options, visit https://groups.google.com/d/optout.
>


--
Thanks!
Mark Waite

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtHxJqPO%2BKTnse%3D5MQ%3DXy1n-AqA9FMNGTSbkZ3eaGmw5uw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Update center contains git release candidate that is not good enough

Robert Sandell-2
Adding -rc releases to the experimental update center might be a thing we should do?

/B

Den tors 7 feb. 2019 kl 13:05 skrev Mark Waite <[hidden email]>:
Thanks very much!  Change reviewed and approved

On 2/7/19, Baptiste Mathus <[hidden email]> wrote:
> Hello Mark,
>
> I've filed the PR on your behalf:
> https://github.com/jenkins-infra/update-center2/pull/258
> If you have a quick look to approve, to check I didn't forget anything.
>
> Please enjoy your vacation. We all know the hard work you're putting from
> your personal time into the git plugins. I am deeply sorry about the bad
> behavior of some entitled users who report their issue in an unacceptable
> way.
>
> Thanks!
>
> Le jeu. 7 févr. 2019 à 08:35, Mark Waite <[hidden email]> a
> écrit :
>
>> I am on a much needed family vacation. Before leaving on that vacation, I
>> wanted to deliver the latest pre-release of the git client plugin and the
>> git plugin.  I chose a version string 3.0.0-rc for the git client and
>> 4.0.0-rc for the git plugin.
>>
>> Unfortunately, that version string caused the release to appear in the
>> update center in addition to the experimental update center.
>>
>> I'm grateful for the feedback from early adopters, even if some of the
>> sarcasm feels a bit heavy handed.
>>
>> If it is feasible, I would like to pull git plugin 4.0.0-rc and git
>> client
>> plugin 3.0.0-rc from the update center. Is that feasible?
>>
>> My sincere apologies to the users suffering due to my choice of version
>> string and my failure to read the experimental update center
>> documentation
>> closely enough.
>>
>> Mark Waite
>>
>> --
>> You received this message because you are subscribed to the Google Groups
>> "Jenkins Developers" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to [hidden email].
>> To view this discussion on the web visit
>> https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com
>> <https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com?utm_medium=email&utm_source=footer>
>> .
>> For more options, visit https://groups.google.com/d/optout.
>>
>
> --
> You received this message because you are subscribed to the Google Groups
> "Jenkins Developers" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [hidden email].
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/jenkinsci-dev/CANWgJS7Tj5Er_fnDNteC1fQoOpYRXfhJ7ikFNRsmmpKdSCjhFg%40mail.gmail.com.
> For more options, visit https://groups.google.com/d/optout.
>


--
Thanks!
Mark Waite

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtHxJqPO%2BKTnse%3D5MQ%3DXy1n-AqA9FMNGTSbkZ3eaGmw5uw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.


--
Robert Sandell
Software Engineer
CloudBees, Inc.
CloudBees-Logo.png
Twitter: robert_sandell

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CALzHZS1HOYzQhj%2Bp3Vh2%2BK8JoRJhvF%3Dwf1cF%2B1sQJwr68765xw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Update center contains git release candidate that is not good enough

Baptiste MATHUS
Very good point. I've considered it very quickly but ditched it to support current state. 
But it should actually be trivial to check which releases would become hidden with such a change, and decide what to do given that.

Also, I _think_ this wouldn't impact Incrementals anyway as anyway it's a different repo and not exposed already (Incremental releases contain rc). But a confirmation from Jesse would be good I suppose.


Le ven. 8 févr. 2019 à 12:59, Robert Sandell <[hidden email]> a écrit :
Adding -rc releases to the experimental update center might be a thing we should do?

/B

Den tors 7 feb. 2019 kl 13:05 skrev Mark Waite <[hidden email]>:
Thanks very much!  Change reviewed and approved

On 2/7/19, Baptiste Mathus <[hidden email]> wrote:
> Hello Mark,
>
> I've filed the PR on your behalf:
> https://github.com/jenkins-infra/update-center2/pull/258
> If you have a quick look to approve, to check I didn't forget anything.
>
> Please enjoy your vacation. We all know the hard work you're putting from
> your personal time into the git plugins. I am deeply sorry about the bad
> behavior of some entitled users who report their issue in an unacceptable
> way.
>
> Thanks!
>
> Le jeu. 7 févr. 2019 à 08:35, Mark Waite <[hidden email]> a
> écrit :
>
>> I am on a much needed family vacation. Before leaving on that vacation, I
>> wanted to deliver the latest pre-release of the git client plugin and the
>> git plugin.  I chose a version string 3.0.0-rc for the git client and
>> 4.0.0-rc for the git plugin.
>>
>> Unfortunately, that version string caused the release to appear in the
>> update center in addition to the experimental update center.
>>
>> I'm grateful for the feedback from early adopters, even if some of the
>> sarcasm feels a bit heavy handed.
>>
>> If it is feasible, I would like to pull git plugin 4.0.0-rc and git
>> client
>> plugin 3.0.0-rc from the update center. Is that feasible?
>>
>> My sincere apologies to the users suffering due to my choice of version
>> string and my failure to read the experimental update center
>> documentation
>> closely enough.
>>
>> Mark Waite
>>
>> --
>> You received this message because you are subscribed to the Google Groups
>> "Jenkins Developers" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to [hidden email].
>> To view this discussion on the web visit
>> https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com
>> <https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtF1DWabYBGT9fHz%3D81cZd0vTy-yd7Xw_V3eQTRb5Bno2g%40mail.gmail.com?utm_medium=email&utm_source=footer>
>> .
>> For more options, visit https://groups.google.com/d/optout.
>>
>
> --
> You received this message because you are subscribed to the Google Groups
> "Jenkins Developers" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [hidden email].
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/jenkinsci-dev/CANWgJS7Tj5Er_fnDNteC1fQoOpYRXfhJ7ikFNRsmmpKdSCjhFg%40mail.gmail.com.
> For more options, visit https://groups.google.com/d/optout.
>


--
Thanks!
Mark Waite

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CAO49JtHxJqPO%2BKTnse%3D5MQ%3DXy1n-AqA9FMNGTSbkZ3eaGmw5uw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.


--
Robert Sandell
Software Engineer
CloudBees, Inc.
CloudBees-Logo.png
Twitter: robert_sandell

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CALzHZS1HOYzQhj%2Bp3Vh2%2BK8JoRJhvF%3Dwf1cF%2B1sQJwr68765xw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CANWgJS5Rmsb9bGuC%3Dr3xOP%2BtKLvFh7buyQTMSyiFUvYnLVDwgg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.